Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1799183 - ax25-tools: FTBFS in Fedora rawhide/f32
Summary: ax25-tools: FTBFS in Fedora rawhide/f32
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ax25-tools
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-02-06 16:06 UTC by Fedora Release Engineering
Modified: 2020-02-26 15:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-19 13:30:25 UTC
Type: ---
Embargoed:
hobbes1069: needinfo+


Attachments (Terms of Use)
build.log (deleted)
2020-02-06 16:06 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2020-02-06 16:06 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2020-02-06 16:06 UTC, Fedora Release Engineering
no flags Details
Proposed spec fix (deleted)
2020-02-18 15:36 UTC, Jaroslav Škarvada
no flags Details | Diff

Description Fedora Release Engineering 2020-02-06 16:06:10 UTC
ax25-tools failed to build from source in Fedora rawhide/f32

https://koji.fedoraproject.org/koji/taskinfo?taskID=41315951


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
Please fix ax25-tools at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
ax25-tools will be orphaned. Before branching of Fedora 33,
ax25-tools will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-02-06 16:06:16 UTC
Created attachment 1658489 [details]
build.log

Comment 2 Fedora Release Engineering 2020-02-06 16:06:20 UTC
Created attachment 1658490 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-02-06 16:06:22 UTC
Created attachment 1658491 [details]
state.log

Comment 4 Ben Cotton 2020-02-11 17:14:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 5 Fedora Release Engineering 2020-02-16 04:27:51 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 6 Richard Shaw 2020-02-16 13:26:50 UTC
I'll work on it when I can.

Comment 7 Jaroslav Škarvada 2020-02-18 15:36:32 UTC
Created attachment 1663791 [details]
Proposed spec fix

This is spec file patch. It seems that the patches were upstreamed and are not needed. Also it seems the FTBFS is not related to gcc-10.

Comment 8 Richard Shaw 2020-02-18 16:27:46 UTC
Thanks for the patch. I had just verified with upstream that they no longer support the installconf target. That's the quick fix, however, I'm also considering moving back to the canonical upstream instead of this fork.


Note You need to log in before you can comment on or make changes to this bug.